<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/reporte_model3.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$productos = $ges->get_producto_servicio_bio(1);
            $codigo = date("YmdHis");

            $id = $_GET['id'];

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/solicitud_productos_empresa.phtml");
				
			}

			if(isset($_POST['SIGUIENTE'])){

                $i = 0;

                foreach ($_POST['sku_ps'] as $val){

                    $found_key="";
                    
                    if($_POST['bio_ps'][$i] == 1){
                        $found_key = array_search($_POST['sku_ps'][$i], array_column($productos, 'sku'));
                    }else{
                        $found_key = array_search($_POST['sku_ps'][$i], array_column($productos, 'sku_cliente'));
                    }
                    
                    $id_producto = $productos[$found_key]['id_producto_servicio'];

                    $resultado = $ges->set_solicitud_temporal($id_producto,$_POST['cantidad_ps'][$i],$codigo);

                    $i++;

                    

                }



                if($id == 1){
                    if($i == 0){
                        echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=1";</script>';
                    }else{
                        echo'<script type="text/javascript">window.location.href="solicitud_series_devolucion_empresa.php?id='.$codigo.'&codigo=1";</script>';
                    }
                   
                }

                if($id == 2){
                    if($i == 0){
                        echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=2";</script>';
                    }else{
                        echo'<script type="text/javascript">window.location.href="solicitud_series_devolucion_empresa.php?id='.$codigo.'&codigo=2";</script>';
                    }
                }
                
                if($id == 3){
                    if($i == 0){
                        echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="solicitud_productos_empresa.php?id=3";</script>';
                    }else{
                        echo'<script type="text/javascript">window.location.href="solicitud_series_devolucion_empresa.php?id='.$codigo.'&codigo=3";</script>';
                    }
                }

			}


?>